<?php

declare(strict_types=1);

namespace Dedi\SyliusImageOptimizerPlugin\DependencyInjection;

use Symfony\Component\Config\FileLocator;
use Symfony\Component\DependencyInjection\ContainerBuilder;
use Symfony\Component\DependencyInjection\Extension\Extension;
use Symfony\Component\DependencyInjection\Loader\XmlFileLoader;

final class DediSyliusImageOptimizerExtension extends Extension
{
    /**
     * @inheritdoc
     */
    public function load(array $config, ContainerBuilder $container): void
    {
        $config = $this->processConfiguration($this->getConfiguration([], $container), $config);
        $loader = new XmlFileLoader($container, new FileLocator(__DIR__ . '/../Resources/config'));

        $container->setParameter('dedi_sylius_image_optimizer_plugin_default_filter_name', $config['default']['filter_name']);
        $container->setParameter('dedi_sylius_image_optimizer_plugin_default_filter_options', $config['default']['filter_options']);
        $container->setParameter('dedi_sylius_image_optimizer_plugin_default_filter_size_keyname', $config['default']['filter_size_keyname']);

        $loader->load('services.xml');
    }
}
